Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.cs.img.owl.inference
Class InferenceHelper

    java.lang.Object
      |
      +--uk.ac.man.cs.img.owl.inference.InferenceHelper

public class InferenceHelper
extends Object

A helper class that does some simple reasoning tasks.

Version:
  $Id: InferenceHelper.java,v 1.1.1.1 2003/10/14 17:10:15 sean_bechhofer Exp $

Constructor Summary
`InferenceHelper()`

Method Summary
`static void` | `dumpHierarchy(OWLTaxonomyReasoner reasoner, PrintWriter pw)` Dumps a textual rendering of the class hierarchy to the given writer
`static void` | `dumpHierarchyRDFS(OWLTaxonomyReasoner reasoner, PrintWriter pw)` Dumps the class hierarchy as RDFS
`static OWLOntology` | `hierarchyAsNewOntology(OWLTaxonomyReasoner reasoner)` Returns a new ontology which contains the classes from the original ontology along with any subclass information.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InferenceHelper

    public InferenceHelper()

Method Detail

### dumpHierarchy

    public static void dumpHierarchy(OWLTaxonomyReasoner reasoner,
                                     PrintWriter pw)
                              throws OWLException

  Dumps a textual rendering of the class hierarchy to the given writer

    `OWLException`

### dumpHierarchyRDFS

    public static void dumpHierarchyRDFS(OWLTaxonomyReasoner reasoner,
                                         PrintWriter pw)
                                  throws OWLException

  Dumps the class hierarchy as RDFS

    `OWLException`

### hierarchyAsNewOntology

    public static OWLOntology hierarchyAsNewOntology(OWLTaxonomyReasoner reasoner)
                                              throws OWLException

  Returns a new ontology which contains the classes from the original ontology along with any subclass information. Equivalences will be represented here through two superclass statements. There is some information loss in this translation (obviously as definitions involving restrictions are not produced) but the hierarchy is preserved....

    `OWLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb